package nl.meandi.examples;

import java.io.IOException;

import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class TestServlet extends HttpServlet
{
   private static final long serialVersionUID = -2831626634018329617L;

   @Inject
   RequestScopedBean requestScopedBean;

   @Override
   protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException
   {
      if (requestScopedBean == null)
      {
         resp.setContentType("text/plain");
         resp.getWriter().print("NOT_OK");
         resp.flushBuffer();
      }
      else
      {
         resp.setContentType("text/plain");
         resp.getWriter().print("OK");
         resp.flushBuffer();
      }
   }
}
